View Issue Details

IDProjectCategoryView StatusLast Update
0028484RunnerHTML5Public2018-04-04 11:12
ReporterStewart BishopAssigned ToMike Dailly 
PriorityMediumSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
Product Version 
Target Version2.1.4Fixed in Version2.1.4 
Summary0028484: HTML5: Uncaught TypeError: _uC1.getParameter is not a function when setting collision mask in GML
DescriptionI'm having some trouble changing the collision mask of a sprite created from a surface in GMS2 HTML5. The following example code works fine with the Windows module:

surf = surface_create(100,100);

surface_set_target(surf);
draw_circle(50,50,25,false);
surface_reset_target();

spr = sprite_create_from_surface(surf,0,0,100,100,false,false,0,0);
sprite_collision_mask(spr,false,0,0,0,0,0,0,0);
surface_free(surf);

However, in the HTML5 module, I get something along the lines of this error in the browser after loading:

Uncaught TypeError: _uC1.getParameter is not a function
at _fz2 (test.js?YTJAC=842171092:2336)
at _C11 (test.js?YTJAC=842171092:2335)
at sprite_collision_mask (test.js?YTJAC=842171092:899)
at _PR1.gml_Object_object_1_Create_0 [as CreateEvent] (test.js?YTJAC=842171092:144)
at _PR1._L3 (test.js?YTJAC=842171092:2525)
at _4K._L3 (test.js?YTJAC=842171092:2387)
at _IF (test.js?YTJAC=842171092:2879)
at _6R2 (test.js?YTJAC=842171092:2880)
at _4R2 (test.js?YTJAC=842171092:2872)

As a test, I found that creating a new sprite using sprite_duplicate instead of sprite_create_from_surface does not cause sprite_collision_mask to throw an error.
Steps To Reproduce1) Run the attached project in HTML5
Tags214
1.4 Found In
2.x Runtime Found In2.1.2.172
2.x Runtime Verified In2.1.4.200

Activities

Stewart Bishop

2017-12-05 17:09

Adminstrator  

surface_collision_mask.yyz (19,582 bytes)

Mike Dailly

2018-01-22 14:59

Manager   ~0057432

Last edited: 2018-01-22 15:04

View 2 revisions

fixed in red

NOTE: example has issues with "depth" in the room. Both layers are sitting at depth 0, which causes issues. Before testing, move the background layer to the top, then back again. This will "fix" the depth values.

Sam Cumming

2018-04-04 11:12

Developer   ~0058585

Verified > rt 2.1.4.200 - Closing.